---
title: Intl.PluralRules.prototype.resolvedOptions()
slug: Web/JavaScript/Reference/Global_Objects/Intl/PluralRules/resolvedOptions
tags:
  - Internationalization
  - Intl
  - JavaScript
  - Method
  - PluralRules
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.PluralRules.prototype.resolvedOptions()</code></strong> method returns a new object with properties reflecting the locale and plural formatting options computed during initialization of this {{jsxref("PluralRules")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code><var>pluralRule</var>.resolvedOptions()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A new object with properties reflecting the locale and plural formatting options computed during the initialization of the given {{jsxref("PluralRules")}} object.</p>

<h2 id="Description">Description</h2>

<p>The resulting object has the following properties:</p>

<dl>
 <dt><code>locale</code></dt>
 <dd>The BCP 47 language tag for the locale actually used. If any Unicode extension values were requested in the input BCP 47 language tag that led to this locale, the key-value pairs that were requested and are supported for this locale are included in <code>locale</code>.</dd>
 <dt><code>pluralCategories</code></dt>
 <dd>An {{jsxref("Array")}} of plural categories used by the given locale, seleced from the list <code>"zero"</code>, <code>"one"</code>, <code>"two"</code>, <code>"few"</code>, <code>"many"</code> and <code>"other"</code>.</dd>
 <dt><code>type</code></dt>
 <dd>The type used (<code>cardinal</code> or <code>ordinal</code>).</dd>
</dl>

<p>Only one of the following two groups of properties is included:</p>

<dl>
 <dt><code>minimumIntegerDigits</code></dt>
 <dt><code>minimumFractionDigits</code></dt>
 <dt><code>maximumFractionDigits</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults. These properties are present only if neither <code>minimumSignificantDigits</code> nor <code>maximumSignificantDigits</code> was provided in the <code>options</code> argument.</dd>
 <dt><code>minimumSignificantDigits</code></dt>
 <dt><code>maximumSignificantDigits</code></dt>
 <dd>The values provided for these properties in the <code>options</code> argument or filled in as defaults. These properties are present only if at least one of them was provided in the <code>options</code> argument.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_resolvedOptions_method">Using the <code>resolvedOptions</code> method</h3>

<pre class="brush: js">var de = new Intl.PluralRules('de-DE');
var usedOptions = de.resolvedOptions();

usedOptions.locale;                // "de-DE"
usedOptions.maximumFractionDigits; // 3
usedOptions.minimumFractionDigits; // 0
usedOptions.minimumIntegerDigits;  // 1
usedOptions.pluralCategories;      // Array [ "one", "other" ]
usedOptions.type;                  // "cardinal"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl.pluralrules.prototype.resolvedoptions', 'Intl.PluralRules.prototype.resolvedOptions')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.PluralRules.resolvedOptions")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("PluralRules", "Intl.PluralRules")}}</li>
</ul>
